Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Interface AbstractStreamInterface

All Superinterfaces:
  QtJambiInterface

All Known Implementing Classes:
  AbstractStream

    public interface AbstractStreamInterface

extends QtJambiInterface

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_AbstractStream(long ptr)` This method is internal to Qt Jambi.
`void` | `connectToSource(MediaSource mediaSource)` This method is internal to Qt Jambi.
`void` | `endOfData()` This method is internal to Qt Jambi.
`void` | `enoughData()` This method is internal to Qt Jambi.
`void` | `needData()` This method is internal to Qt Jambi.
`void` | `reset()` This method is internal to Qt Jambi.
`void` | `seekStream(long seekTo)` This method is internal to Qt Jambi.
`void` | `setStreamSeekable(boolean s)` This method is internal to Qt Jambi.
`void` | `setStreamSize(long newSize)` This method is internal to Qt Jambi.
`void` | `writeData(QByteArray data)` This method is internal to Qt Jambi.

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### connectToSource

    void connectToSource(MediaSource mediaSource)

  This method is internal to Qt Jambi.

### enoughData

    void enoughData()

  This method is internal to Qt Jambi.

### needData

    void needData()

  This method is internal to Qt Jambi.

### reset

    void reset()

  This method is internal to Qt Jambi.

### seekStream

    void seekStream(long seekTo)

  This method is internal to Qt Jambi.

### endOfData

    void endOfData()

  This method is internal to Qt Jambi.

### setStreamSeekable

    void setStreamSeekable(boolean s)

  This method is internal to Qt Jambi.

### setStreamSize

    void setStreamSize(long newSize)

  This method is internal to Qt Jambi.

### writeData

    void writeData(QByteArray data)

  This method is internal to Qt Jambi.

### __qt_cast_to_AbstractStream

    long __qt_cast_to_AbstractStream(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD